subroutine modele_reservoir(nCouche,th_cc,dz,thCI,apportActu,th)

  implicit none

  ! parametres d entree
  integer,intent(in)         :: nCouche
  real(kind=8),intent(inout) :: apportActu
  real(kind=8),intent(in)    :: th_cc
  real(kind=8),intent(in)    :: thCI(nCouche),dz(nCouche)
  ! variable de sortie
  real(kind=8),intent(inout) :: th(nCouche)
  ! variables locales
  integer      :: i,j

  ! calculs : repartition de l'apport sur les couches de sol
  th = 0d0
  do j=1,nCouche
     if (apportActu.GE.(th_cc-thCI(j))*dz(j)) then
        th(j)      = th_cc
        apportActu = apportActu - (th_cc-thCI(j))*dz(j)
     else
        th(j)      = thCI(j) + apportActu/dz(j)
        apportActu = 0.0
     end if
  end do

end subroutine modele_reservoir
